namespace IrrlichtNetSwig
{
    public partial class dimension2dui
    {
        public static dimension2dui operator +(dimension2dui x, dimension2dui y)
        {
            return x.add(y);
        }
        public static dimension2dui operator *(dimension2dui x, uint y)
        {
            return x.mul(y);
        }
        public static dimension2dui operator /(dimension2dui x, uint y)
        {
            return x.div(y);
        }
        public static explicit operator dimension2dui(dimension2df original)
        {
            return new dimension2dui((uint)original.Width, (uint)original.Height);
        }
        public static explicit operator dimension2dui(dimension2di original)
        {
            return new dimension2dui((uint)original.Width, (uint)original.Height);
        }
    }
}